LSINITCPIO(1)

NAME
lsinitcpio - Examine an initramfs

SYNOPSIS

lsinitcpio [action] [options] image

DESCRIPTION

Examines the contents of an initcpio image. Without any options, lsinitcpio simply lists the contents of an image.

ACTIONS

-a, --analyze
    Analyze the contents of the specified image and print output in human readable form.

-c, --config
    Show the configuration file the given image was built with.

-l, --list
    List the contents of the archive. This is the default action. Pass the -v flag for more detailed results.

-x, --extract
    Extract the given image to the current working directory.

OPTIONS

-h, --help
    Output a short overview of available command-line switches.

-n, --nocolor
    Disable color output.

-V, --version
    Display version information.

-v, --verbose
    Be more verbose. In particular, show long style output when listing the contents of an image, and show files as they are extracted when the -x option is given.

--cpio
    List or extract only the main CPIO image.

--early
    List or extract only the early CPIO image if it exists. See mkinitcpio(8) for more information about early CPIO images.

BUGS

Upon writing this man page, there were no noticeable bugs present. Please visit for an up to date list.

SEE ALSO

mkinitcpio(8)

AUTHORS

mkinitcpio is maintained by the Arch Linux community. Refer to the AUTHORS file for a full list of contributors.

COPYRIGHT

Copyright 🄯 mkinitcpio contributors. GPL-2.0-only.